Index: branches/2.5/contactcenter/js/cc.js
===================================================================
--- branches/2.5/contactcenter/js/cc.js	(revision 7497)
+++ branches/2.5/contactcenter/js/cc.js	(revision 8232)
@@ -1250,4 +1250,5 @@
 		states.disabled = false;
 		var i = 1;
+		/*
 		for (var j in data['data'])
 		{
@@ -1255,6 +1256,12 @@
 			if(i == 1) data['data'] = data['data'].sort();
 			i++;
-		}
-
+		}*/
+		jQuery.each(data['data'],function(index,value){
+			if (value != undefined){
+				states.options[i] = new Option(value, index);
+				if(i == 1) data['data'] = data['data'].sort();
+				i++;
+			}			
+		});
 		states.disabled = false;
 		states.selectedIndex = 0;
@@ -1366,10 +1373,16 @@
 		cities.disabled = false;
 		var i = 1;
+		/*
 		for (var j in data['data'])
 		{
 			cities.options[i] = new Option(data['data'][j], j);
 			i++;
-		}
-
+		}*/
+		jQuery.each(data['data'],function(index,value){
+			if (value != undefined){
+				cities.options[i] = new Option(value,index);
+				i++;
+			}
+		});
 		cities.disabled = false;
 		cities.selectedIndex = 0;
Index: branches/2.5/emailadmin/setup/tables_update.inc.php
===================================================================
--- branches/2.5/emailadmin/setup/tables_update.inc.php	(revision 7516)
+++ branches/2.5/emailadmin/setup/tables_update.inc.php	(revision 8232)
@@ -142,10 +142,17 @@
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
-	$test[] = '2.4.2';
-	function emailadmin_upgrade2_4_2()
-	{
-      		$GLOBALS['setup_info']['emailadmin']['currentver'] = '2.5.0';
-      		return $GLOBALS['setup_info']['emailadmin']['currentver'];
-	}
+    $test[] = '2.4.2';
+    function emailadmin_upgrade2_4_2()
+    {
+            $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.5.0';
+            return $GLOBALS['setup_info']['emailadmin']['currentver'];
+    }
+
+    $test[] = '2.5.0';
+    function emailadmin_upgrade2_5_0()
+    {
+        $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.5.1';
+        return $GLOBALS['setup_info']['emailadmin']['currentver'];
+    }
 
 ?>
Index: branches/2.5/emailadmin/setup/setup.inc.php
===================================================================
--- branches/2.5/emailadmin/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/emailadmin/setup/setup.inc.php	(revision 8232)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '2.5.0';
+	$setup_info['emailadmin']['version']   = '2.5.1';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
@@ -40,5 +40,5 @@
 	$setup_info['emailadmin']['depends'][] = array(
 		'appname'  => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 
Index: branches/2.5/emailadmin/inc/class.ui.inc.php
===================================================================
--- branches/2.5/emailadmin/inc/class.ui.inc.php	(revision 7673)
+++ branches/2.5/emailadmin/inc/class.ui.inc.php	(revision 8232)
@@ -77,5 +77,60 @@
 			print $this->t->get('out','main');
 		}
-	
+
+       function countProfiles(){
+            $return =  $this->boemailadmin->getProfileList();
+            (is_array($return) && count($return) > 0) ? $return = count($return) : $return = 0;
+    		return $return;
+        }
+
+       function addDefaultProfile()
+       {
+            $emailServer = $_SESSION['phpgw_info']['expressomail']['email_server'];          
+            $globalSettings = array(
+    			"profileID" => "",
+    			"description" => "Expresso",
+    			"defaultDomain" => $emailServer['defaultDomain'],
+    			"organisationName" => $emailServer['organisationName'],
+    			"userDefinedAccounts" => "0"
+            );
+
+            $smtpSettings   = array(
+            	"smtpServer" => "127.0.0.1",
+            	"smtpPort" => "25",
+            	"smtpAuth" => "",
+	            "smtpType" => "2", 
+	            "smtpLDAPServer" => "127.0.0.1", 
+	            "smtpLDAPAdminDN" => $emailServer['smtpLDAPAdminDN'],
+	            "smtpLDAPAdminPW" => $emailServer['smtpLDAPAdminPW'],
+	            "smtpLDAPBaseDN" =>  $emailServer['smtpLDAPBaseDN]'],
+	            "smtpLDAPUseDefault" => "yes"
+            );
+
+            $imapSettings = array(
+	            'imapServer' => "127.0.0.1",
+	            'imapPort' => "143",
+	            'imapDelimiter' => "/",
+	            'imapType' => "3",
+	            'imapLoginType' => "standard",
+	            'imapTLSEncryption' => "1",
+	            'imapTLSAuthentication' => "",
+	            'imapoldcclient' => "",
+	            'imapEnableCyrusAdmin' => "yes",
+	            'imapAdminUsername' => "expresso-admin",
+	            'imapAdminPW' => $emailServer['imapAdminPW'],
+	            'imapEnableSieve' => "yes",
+	            'imapSieveServer' => "127.0.0.1",
+	            'imapSievePort' => "2000",
+	            'imapCreateSpamFolder' => "yes",
+	            'imapCyrusUserPostSpam' => "",
+	            'imapDefaultTrashFolder' => "Trash",
+	            'imapDefaultSentFolder' => "Sent",
+	            'imapDefaultDraftsFolder' => "Drafts",
+	            'imapDefaultSpamFolder' => "Spam"
+            );
+
+            $this->boemailadmin->saveProfile($globalSettings, $smtpSettings, $imapSettings);
+        }
+
 		function css()
 		{
Index: branches/2.5/setup/check_install.php
===================================================================
--- branches/2.5/setup/check_install.php	(revision 7681)
+++ branches/2.5/setup/check_install.php	(revision 8232)
@@ -98,11 +98,11 @@
 			'safe_mode' => 'max_execution_time = 30'
 		),
-		'include_path' => array(
-			'func' => 'php_ini_check',
-			'value' => '.',
-			'check' => 'contain',
-			'error' => lang('include_path need to contain "." - the current directory'),
-			'save_mode' => 'max_execution_time = 30'
-		),
+#		'include_path' => array(
+#			'func' => 'php_ini_check',
+#			'value' => '.',
+#			'check' => 'contain',
+#			'error' => lang('include_path need to contain "." - the current directory'),
+#			'save_mode' => 'max_execution_time = 30'
+#		),
 #		'mysql' => array(
 #			'func' => 'extension_check',
Index: branches/2.5/preferences/setup/setup.inc.php
===================================================================
--- branches/2.5/preferences/setup/setup.inc.php	(revision 7516)
+++ branches/2.5/preferences/setup/setup.inc.php	(revision 8232)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '2.5.0';
+	$setup_info['preferences']['version']   = '2.5.1';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
@@ -28,5 +28,5 @@
 	$setup_info['preferences']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.5.0')
+		'versions' => Array('2.5.1.1')
 	);
 ?>
Index: branches/2.5/preferences/changepassword.php
===================================================================
--- branches/2.5/preferences/changepassword.php	(revision 3296)
+++ branches/2.5/preferences/changepassword.php	(revision 8232)
@@ -108,4 +108,5 @@
 	$GLOBALS['phpgw']->template->set_var('lang_change',lang('Change'));
 	$GLOBALS['phpgw']->template->set_var('lang_cancel',lang('Cancel'));
+    	$GLOBALS['phpgw']->template->set_var('cancel_action' , $GLOBALS['phpgw']->link('/preferences/')); 
 	$GLOBALS['phpgw']->template->set_var('form_action',$GLOBALS['phpgw']->link('/preferences/changepassword.php'));
 
Index: branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-it.js
===================================================================
--- branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-it.js	(revision 8232)
+++ branches/2.5/prototype/plugins/jquery.keyboard/jquery.keypad-it.js	(revision 8232)
@@ -0,0 +1,21 @@
+﻿/* http://keith-wood.name/keypad.html
+   Italian initialisation for the jQuery keypad extension
+   Written by Francesco Strappini (www.strx.it). */
+(function($) { // hide the namespace
+	$.keypad.regional['it'] = {
+		buttonText: '...', buttonStatus: 'Visualizza Tastiera',
+		closeText: 'Chiudi', closeStatus: 'Nascondi Tastiera',
+		clearText: 'Pulisci', clearStatus: 'Elimina il Testo',
+		backText: 'Del', backStatus: 'Elimina l\'ultimo carattere',
+		shiftText: 'Shift', shiftStatus: 'Maiuscole/Minuscole',
+		spacebarText: '&nbsp;', spacebarStatus: '',
+		enterText: 'Enter', enterStatus: 'Ritorno a Capo',
+		tabText: '→', tabStatus: '',
+		alphabeticLayout: $.keypad.qwertyAlphabetic,
+		fullLayout: $.keypad.qwertyLayout,
+		isAlphabetic: $.keypad.isAlphabetic,
+		isNumeric: $.keypad.isNumeric,
+		toUpper: $.keypad.toUpper,
+		isRTL: false};
+	$.keypad.setDefaults($.keypad.regional['it']);
+})(jQuery);
